classification
Title: Revert ConfigParser rename in 2.6
Type: behavior Stage:
Components: Library (Lib) Versions: Python 2.6
process
Status: closed Resolution: accepted
Dependencies: Superseder:
Assigned To: Nosy List: brett.cannon, georg.brandl
Priority: release blocker Keywords: patch

Created on 2008-05-20 04:31 by brett.cannon, last changed 2008-05-25 07:26 by georg.brandl. This issue is now closed.

Files
File name Uploaded Description Edit
revert_configparser.diff brett.cannon, 2008-05-25 03:16 Revert configparser rename (needs svn rename run first)
Messages (5)
msg67093 - (view) Author: Brett Cannon (brett.cannon) * (Python committer) Date: 2008-05-20 04:31
The rename of ConfigParser in 2.6 needs to be reverted. Only a note in the 
docs should remain.
msg67278 - (view) Author: Brett Cannon (brett.cannon) * (Python committer) Date: 2008-05-24 00:38
r63248 contains various import and doc changes in the name of 
configparser.

r63242 contains the rename, but ``svn rename`` should be used in order to 
not lose the history on the file.
msg67279 - (view) Author: Brett Cannon (brett.cannon) * (Python committer) Date: 2008-05-24 00:44
r63247 has some doc changes.

r63249 added the old name stub.
msg67317 - (view) Author: Brett Cannon (brett.cannon) * (Python committer) Date: 2008-05-25 03:16
I have uploaded a patch that when applied after a ``svn rename`` for 
Lib/configparser.py to Lib/ConfigParser.py, should revert the rename. 
Since I am on OS X I can't do the rename myself.
msg67324 - (view) Author: Georg Brandl (georg.brandl) * (Python committer) Date: 2008-05-25 07:26
Renamed module, applied patch and adapted some further references in
r63605-07.
History
Date User Action Args
2008-05-26 00:20:17brett.cannonunlinkissue2775 dependencies
2008-05-25 07:26:02georg.brandlsetstatus: open -> closed
resolution: accepted
messages: + msg67324
nosy: + georg.brandl
2008-05-25 03:17:02brett.cannonsetfiles: + revert_configparser.diff
keywords: + patch
messages: + msg67317
2008-05-24 00:44:30brett.cannonsetmessages: + msg67279
2008-05-24 00:38:28brett.cannonsetmessages: + msg67278
2008-05-20 04:39:04brett.cannonlinkissue2775 dependencies
2008-05-20 04:31:21brett.cannoncreate